<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/primodaltemplate.xhtml">
		<ui:define name="title">
			<h:outputText value="#{facesContext.translate('label.instruction.datamanagement.uploaddata', datamanagementModel.release.name)}" />
		</ui:define>
		<ui:define name="body">
			<h:dataTable id="tables" value="#{datamanagementModel.releaseTables}" var="t" rendered="#{datamanagementModel.release.acl.write}">
				<h:column>
					<p:panel header="#{t.name} (#{t.rowcount})" toggleable="true" toggleableHeader="true" collapsed="true">
						<h:dataTable id="columns" value="#{t.columns}" var="c" rowClasses="odd, even" styleClass="width100percent">
							<h:column>
								<h:outputText value="#{c.columnName}" />
							</h:column>
							<h:column>
								<h:outputText value="#{c.dataType}" />
							</h:column>
						</h:dataTable>
					</p:panel>
				</h:column>
			</h:dataTable>
		</ui:define>
		<ui:define name="formbuttons">
			<p:commandButton id="btn_back" action="#{datamanagementController.toWelcome}" value="#{facesContext.translate('button.overview')}" immediate="true" ajax="false" />
		</ui:define>
	</ui:composition>
</h:body>
</html>